raineorshine/npm-check-updates 软件分析报告

基础信息

项目名称:raineorshine/npm-check-updates

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1758799592230887425/1758799710669643776

此报告由Murphysec提供

漏洞列表

暂无

缺陷组件

暂无

许可证风险

许可证类型 相关组件 许可证风险
MIT 154
ISC 62
BSD-2-Clause 5
CC0-1.0 1
CC-BY-3.0 1
BSD-3-Clause 1
Apache-2.0 3
Python-2.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
jsonparse 1.3.1 间接依赖 npm
import-lazy 4.0.0 间接依赖 npm
hosted-git-info 5.2.1 间接依赖 npm
commander 11.1.0 间接依赖 npm
@pnpm/npm-conf 2.2.2 间接依赖 npm
ms 2.1.2 间接依赖 npm
@tufjs/canonical-json 2.0.0 间接依赖 npm
hasown 2.0.0 间接依赖 npm
emoji-regex 9.2.2 间接依赖 npm
update-notifier 6.0.2 间接依赖 npm
is-core-module 2.13.1 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
json-buffer 3.0.1 间接依赖 npm
spdx-license-ids 3.0.13 间接依赖 npm
is-path-inside 3.0.3 间接依赖 npm
fs-minipass 3.0.2 间接依赖 npm
npm-bundled 3.0.0 间接依赖 npm
p-cancelable 3.0.0 间接依赖 npm
ignore-walk 6.0.3 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
array-union 2.1.0 间接依赖 npm
ansi-regex 6.0.1 间接依赖 npm
minipass 3.3.6 间接依赖 npm
fp-and-or 1.0.2 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
env-paths 2.2.1 间接依赖 npm
spdx-exceptions 2.3.0 间接依赖 npm
unique-string 3.0.0 间接依赖 npm
function-bind 1.1.2 间接依赖 npm
json-parse-helpfulerror 1.0.3 间接依赖 npm
eastasianwidth 0.2.0 间接依赖 npm
sisteransi 1.0.5 间接依赖 npm
ini 4.1.1 间接依赖 npm
semver-diff 4.0.0 间接依赖 npm
signal-exit 3.0.7 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
boxen 7.1.1 间接依赖 npm
micromatch 4.0.5 间接依赖 npm
remote-git-tags 3.0.0 间接依赖 npm
https-proxy-agent 7.0.2 间接依赖 npm
lodash 4.17.21 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
unique-slug 4.0.0 间接依赖 npm
queue-microtask 1.2.3 间接依赖 npm
glob 10.3.10 间接依赖 npm
ci-info 3.9.0 间接依赖 npm
yocto-queue 0.1.0 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
lru-cache 10.0.1 间接依赖 npm
npm-pick-manifest 9.0.0 间接依赖 npm
got 12.6.1 间接依赖 npm
ssri 10.0.4 间接依赖 npm
ini 2.0.0 间接依赖 npm
@npmcli/git 5.0.3 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
proc-log 3.0.0 间接依赖 npm
latest-version 7.0.0 间接依赖 npm
cacheable-request 10.2.12 间接依赖 npm
resolve-alpn 1.2.1 间接依赖 npm
rc-config-loader 4.1.3 间接依赖 npm
promise-retry 2.0.1 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
minimatch 9.0.3 间接依赖 npm
http-cache-semantics 4.1.1 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
is-npm 6.0.0 间接依赖 npm
npm-packlist 8.0.0 间接依赖 npm
brace-expansion 2.0.1 间接依赖 npm
string-width 4.2.3 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
debug 4.3.4 间接依赖 npm
source-map-support 0.5.21 间接依赖 npm
ini 1.3.8 间接依赖 npm
promise-inflight 1.0.1 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
locate-path 6.0.0 间接依赖 npm
clean-stack 2.2.0 间接依赖 npm
is-yarn-global 0.4.1 间接依赖 npm
negotiator 0.6.3 间接依赖 npm
err-code 2.0.3 间接依赖 npm
buffer-from 1.1.2 间接依赖 npm
@isaacs/cliui 8.0.2 间接依赖 npm
minipass-pipeline 1.2.4 间接依赖 npm
ansi-styles 6.2.1 间接依赖 npm
lowercase-keys 3.0.0 间接依赖 npm
progress 2.0.3 间接依赖 npm
isexe 2.0.0 间接依赖 npm
is-ci 3.0.1 间接依赖 npm
tar 6.1.15 间接依赖 npm
cli-table3 0.6.3 间接依赖 npm
keyv 4.5.3 间接依赖 npm
globby 11.1.0 间接依赖 npm
foreground-child 3.1.1 间接依赖 npm
wrap-ansi 8.1.0 间接依赖 npm
read-package-json 7.0.0 间接依赖 npm
path-key 3.1.1 间接依赖 npm
nopt 7.2.0 间接依赖 npm
cli-boxes 3.0.0 间接依赖 npm
lru-cache 7.18.3 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
node-gyp 10.0.1 间接依赖 npm
@npmcli/node-gyp 3.0.0 间接依赖 npm
@npmcli/fs 3.1.0 间接依赖 npm
path-scurry 1.10.1 间接依赖 npm
ignore 5.2.4 间接依赖 npm
@npmcli/run-script 7.0.2 间接依赖 npm
package-json 8.1.1 间接依赖 npm
p-map 4.0.0 间接依赖 npm
jackspeak 2.3.6 间接依赖 npm
merge2 1.4.1 间接依赖 npm
fastq 1.15.0 间接依赖 npm
minipass 5.0.0 间接依赖 npm
p-locate 5.0.0 间接依赖 npm
parse-github-url 1.0.2 间接依赖 npm
mimic-response 4.0.0 间接依赖 npm
minipass-flush 1.0.5 间接依赖 npm
minipass 7.0.4 间接依赖 npm
yallist 4.0.0 间接依赖 npm
npm-package-arg 11.0.1 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
pacote 17.0.4 间接依赖 npm
xdg-basedir 5.1.0 间接依赖 npm
json5 2.2.3 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
which 2.0.2 间接依赖 npm
strip-ansi 7.1.0 间接依赖 npm
@pnpm/config.env-replace 1.1.0 间接依赖 npm
make-fetch-happen 13.0.0 间接依赖 npm
quick-lru 5.1.1 间接依赖 npm
crypto-random-string 4.0.0 间接依赖 npm
braces 3.0.2 间接依赖 npm
rc 1.2.8 间接依赖 npm
minipass-collect 1.0.2 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
socks 2.7.1 间接依赖 npm
form-data-encoder 2.1.4 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
graceful-fs 4.2.10 间接依赖 npm
registry-url 6.0.1 间接依赖 npm
http-proxy-agent 7.0.0 间接依赖 npm
npm-normalize-package-bin 3.0.1 间接依赖 npm
@npmcli/agent 2.2.0 间接依赖 npm
dot-prop 6.0.1 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
sigstore 2.1.0 间接依赖 npm
@types/http-cache-semantics 4.0.1 间接依赖 npm
config-chain 1.1.13 间接依赖 npm
is-lambda 1.0.1 间接依赖 npm
chalk 5.3.0 间接依赖 npm
ip 2.0.0 间接依赖 npm
decompress-response 6.0.0 间接依赖 npm
ansi-align 3.0.1 间接依赖 npm
@pnpm/network.ca-file 1.0.2 间接依赖 npm
slash 3.0.0 间接依赖 npm
retry 0.12.0 间接依赖 npm
@szmarczak/http-timer 5.0.1 间接依赖 npm
mimic-response 3.1.0 间接依赖 npm
widest-line 4.0.1 间接依赖 npm
mkdirp 1.0.4 间接依赖 npm
smart-buffer 4.2.0 间接依赖 npm
@npmcli/installed-package-contents 2.0.2 间接依赖 npm
find-up 5.0.0 间接依赖 npm
configstore 6.0.0 间接依赖 npm
string-width 5.1.2 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
defer-to-connect 2.0.1 间接依赖 npm
builtins 5.0.1 间接依赖 npm
pupa 3.1.0 间接依赖 npm
strip-json-comments 2.0.1 间接依赖 npm
proto-list 1.2.4 间接依赖 npm
abbrev 2.0.0 间接依赖 npm
jju 1.4.0 间接依赖 npm
escape-goat 4.0.0 间接依赖 npm
deep-extend 0.6.0 间接依赖 npm
@sigstore/sign 2.2.0 间接依赖 npm
validate-npm-package-name 5.0.0 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
chownr 2.0.0 间接依赖 npm
rimraf 5.0.5 间接依赖 npm
path-type 4.0.0 间接依赖 npm
@sindresorhus/is 5.6.0 间接依赖 npm
tuf-js 2.1.0 间接依赖 npm
get-stdin 8.0.0 间接依赖 npm
jsonlines 0.1.1 间接依赖 npm
minipass-json-stream 1.0.1 间接依赖 npm
hosted-git-info 7.0.1 间接依赖 npm
has-yarn 3.0.0 间接依赖 npm
run-parallel 1.2.0 间接依赖 npm
@tufjs/models 2.0.0 间接依赖 npm
global-dirs 3.0.1 间接依赖 npm
lru-cache 10.0.0 间接依赖 npm
is-number 7.0.0 间接依赖 npm
read-package-json-fast 3.0.2 间接依赖 npm
prompts-ncu 3.0.0 间接依赖 npm
agent-base 7.1.0 间接依赖 npm
@npmcli/promise-spawn 7.0.0 间接依赖 npm
type-fest 2.19.0 间接依赖 npm
p-limit 3.1.0 间接依赖 npm
@sigstore/protobuf-specs 0.2.1 间接依赖 npm
http2-wrapper 2.2.0 间接依赖 npm
responselike 3.0.0 间接依赖 npm
write-file-atomic 3.0.3 间接依赖 npm
cacache 18.0.0 间接依赖 npm
is-obj 2.0.0 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
unique-filename 3.0.0 间接依赖 npm
aggregate-error 3.1.0 间接依赖 npm
normalize-package-data 6.0.0 间接依赖 npm
minimist 1.2.8 间接依赖 npm
is-installed-globally 0.4.0 间接依赖 npm
which 4.0.0 间接依赖 npm
reusify 1.0.4 间接依赖 npm
kleur 4.1.5 间接依赖 npm
semver-utils 1.1.4 间接依赖 npm
source-map 0.6.1 间接依赖 npm
graceful-fs 4.2.11 间接依赖 npm
normalize-url 8.0.0 间接依赖 npm
strip-json-comments 5.0.1 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
@sigstore/bundle 2.1.0 间接依赖 npm
npm-install-checks 6.3.0 间接依赖 npm
cacheable-lookup 7.0.0 间接依赖 npm
untildify 4.0.0 间接依赖 npm
exponential-backoff 3.1.1 间接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
require-from-string 2.0.2 间接依赖 npm
camelcase 7.0.1 间接依赖 npm
minipass-fetch 3.0.3 间接依赖 npm
semver 7.5.4 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
json-parse-even-better-errors 3.0.0 间接依赖 npm
socks-proxy-agent 8.0.2 间接依赖 npm
registry-auth-token 5.0.2 间接依赖 npm
fast-glob 3.3.1 间接依赖 npm
argparse 2.0.1 间接依赖 npm
minipass-sized 1.0.3 间接依赖 npm
type-fest 1.4.0 间接依赖 npm
@sigstore/tuf 2.2.0 间接依赖 npm
fs-minipass 2.1.0 间接依赖 npm
fast-memoize 2.5.2 间接依赖 npm
typedarray-to-buffer 3.1.5 间接依赖 npm
minizlib 2.1.2 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
spawn-please 2.0.2 间接依赖 npm
npm-registry-fetch 16.1.0 间接依赖 npm
spdx-correct 3.2.0 间接依赖 npm
(0)
上一篇 2024年2月17日
下一篇 2024年2月17日

相关推荐

  • DWilliames/paddy-sketch-plugin 软件分析报告

    基础信息 项目名称:DWilliames/paddy-sketch-plugin 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717346637994311680/1717346638405353472 此报告…

    软件分析 2023年10月26日
    0
  • eclipsesource/dockerizor 软件分析报告

    基础信息 项目名称:eclipsesource/dockerizor 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717385172688355328/1717385173682405376 此报告由Murph…

    软件分析 2023年10月26日
    0
  • dev4living/3N1WebSite 软件分析报告

    基础信息 项目名称:dev4living/3N1WebSite 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717126573870153728/1717126575573041152 此报告由Murphyse…

    软件分析 2023年10月25日
    0
  • apromore/ApromoreCore 软件分析报告

    基础信息 项目名称:apromore/ApromoreCore 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1715997350631702528/1727463451657723904 此报告由Murphyse…

    软件分析 2023年11月23日
    0
  • JuliaML/LossFunctions.jl 软件分析报告

    基础信息 项目名称:JuliaML/LossFunctions.jl 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721325078246359040/1726935627079311360 此报告由Murph…

    软件分析 2023年11月21日
    0